# Light control module for light control of the "convi" zone of Electrolab

***

This project is an open-source control module for the lights in the "convi" zone of the association HQ.
The Electrolab association has a "convi" zone with multiple light sources that need remote control for conferences and presentations, and also for energy saving.

## Description

This repository contains all the hardware design. The target is the Discovery STM32F746G evaluation board from ST. it features a touchscreen that will provide the HMI for the light control, as well as Ethernet connectivity.

Pinout is:
- PWM1 - TIM1_CH1		-> PA8 / D10
- PWM2 - TIM1_CH2N	-> PB14 / D12
- PWM3 - TIM4_CH3		-> PB8 / D15
- PWM4 - TIM4_CH4		-> PB9 / D14
- PWM5 - TIM5_CH1		-> PA0 / A0
- PWM6 - TIM5_CH4		-> PI0 / D5
- PWM7 - TIM12_CH1	-> PH6 / D6
- PWM8 - TIM12_CH2	-> PB15 / D11

The board will provide a hardware interface between the 8 PWM outputs of the MCU board, with power supply and 0-10V analog outputs. This will provide filtering and voltage scaling.

## Embedded software

Tools :
- [Kicad 6.0](https://www.kicad.org/download/)
- [Discovery STM32F746G](https://www.st.com/en/evaluation-tools/32f746gdiscovery.html)
